gmp_jacobi
gmp_mod
GMP Functions
PHP Manual

# gmp_legendre

(PHP 4 >= 4.0.4, PHP 5)

gmp_legendre — Legendre symbol

### Description

int gmp_legendre ( resource `$a` , resource `$p` )

Compute the » Legendre symbol of `a` and `p`. `p` should be odd and must be positive.

### Parameters

`a`

  It can be either a GMP number resource, or a numeric string given that it is possible to convert the latter to a number.

`p`

  It can be either a GMP number resource, or a numeric string given that it is possible to convert the latter to a number.

  Should be odd and must be positive.

### Return Values

A GMP number resource.

### Examples

Example #1 gmp_legendre() example

`<?php
echo gmp_legendre("1", "3") . "\n";
echo gmp_legendre("2", "3") . "\n";
?>`

The above example will output:

    1
    0

gmp_jacobi
gmp_mod
GMP Functions
PHP Manual